Множественные уязвимости в ShoutLIVE

Дата публикации:
01.03.2006
Всего просмотров:
1480
Опасность:
Высокая
Наличие исправления:
Нет
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
CVE-2006-0941
CVE-2006-0940
Вектор эксплуатации:
Удаленная
Воздействие:
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
ShoutLIVE 1.x
Уязвимые версии: ShoutLIVE 1.1.0

Описание:
Уязвимость позволяет удаленному пользователю произвести XSS нападение и скомпрометировать уязвимую систему.

1. Отсутствует проверка привилегий на доступ к сценарию savesettings.php. Удаленный неавторизованный пользователь может внести изменения в файл settings.php и выполнить произвольный PHP код на целевой системе.

2. Уязвимость существует из-за недостаточной проверки входных данных в сценарии post.php. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный код сценария в браузере жертвы в контексте безопасности уязвимого сайта во время просмотре сообщения.

URL производителя: cynic.x10hosting.com/downloads.php?act=phpscripts&item=1&skin=cleanblue

Решение: Способов устранения уязвимости не существует в настоящее время.

или введите имя

CAPTCHA